%bcond_with check

%global forgeurl https://github.com/openturns/openturns
Version:        1.21
%forgemeta

Name:           openturns
Release:        %autorelease
Summary:        Uncertainty treatment library
License:        LGPL-3.0-or-later
URL:            %{forgeurl}
Source0:        %{forgesource}

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch: %{ix86}

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  swig
BuildRequires:  flexiblas-devel
BuildRequires:  metis-devel
BuildRequires:  tbb-devel
BuildRequires:  libxml2-devel
BuildRequires:  hdf5-devel
BuildRequires:  boost-devel
BuildRequires:  mpfr-devel
BuildRequires:  libmpc-devel
BuildRequires:  NLopt-devel
# no dlib package on ppc64le
%ifnarch ppc64le
BuildRequires:  dlib-devel
%endif
BuildRequires:  ceres-solver-devel
BuildRequires:  cminpack-devel
BuildRequires:  coin-or-Bonmin-devel
BuildRequires:  coin-or-Ipopt-devel

BuildRequires:  libX11-devel
BuildRequires:  libpng-devel
BuildRequires:  libjpeg-devel
BuildRequires:  sqlite-devel

BuildRequires:  python3-devel
BuildRequires:  %{py3_dist scipy}
BuildRequires:  %{py3_dist pandas}
BuildRequires:  %{py3_dist matplotlib}
BuildRequires:  %{py3_dist chaospy}
BuildRequires:  %{py3_dist dill}

%description
OpenTURNS is a scientific C++ and Python library featuring an internal data
model and algorithms dedicated to the treatment of uncertainties. The main goal
of this library is to provide all functionalities needed to treat uncertainties
in studies with industrial applications. Targeted users are all engineers who
want to introduce the probabilistic dimension in their so far deterministic
studies.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%forgeautosetup -p1

%build
%cmake \
    -GNinja \
    -DCMAKE_BUILD_TYPE=Release \
    -DCMAKE_SKIP_INSTALL_RPATH=ON \

%cmake_build

%install
%cmake_install

%if %{with check}
%check
%ctest
%endif

%files
%license COPYING
%doc README.rst



%files devel


%changelog
%autochangelog
